> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get a filter option mapping

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/mappings/{mappingId}/

Retrieve details of a single filter option mapping

Reference: https://docs.partnerpage.io/api-reference/directory/filter-maps/get-a-filter-option-mapping

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `mappingId` (string, required) — ID of the filter option mapping to retrieve

## Response

### 200

Details of the filter option mapping

- `id` (string, required)
- `name` (string, required)
- `originOption` (string, required)
- `destinationOptions` (string, required)
- `order` (integer, required)

## Errors

### 404 Not Found Error

Filter option mapping not found

- `any`

## Examples

**Response**

```json
{
  "id": "6a5fc0f0-c938-4b4e-85c2-b895a90b000d",
  "name": "Map 1",
  "originOption": "127af47a-cb9c-4d54-96ca-4f799791d8b8",
  "destinationOptions": "string",
  "order": 1,
  "href": "/api/directory/private/v1alpha/mappings/6a5fc0f0-c938-4b4e-85c2-b895a90b000d/"
}
```

**SDK Code**

```python Example response
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/mappings/mappingId/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example response
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/mappings/mappingId/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```